#!/bin/sh
echo "Generating harmony table for $1 as $2"
R --slave << EOF
  tryCatch(
    library("KSNR"),
  error=function(cond) {
    cat("KSNR package could not be loaded, trying to install it.\n")
    install.packages("KSNR_0.9.tar.gz", repos=NULL)
    library("KSNR")  # no error during installation, so it should load fine now
  })
  saveKSAsTable(readKSFileAsTable("$1"), "$2")
EOF

